Create a Connect Card
Generates the Connect Card URI for the connection
Request schema
Path parameters
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The URI on your site we redirect the end user to after successful setup. The URI must start with the https or http prefix.
An optional parameter that lets you hide the embedded setup guide in the Connect Card.
An optional parameter that lets you show all fields on Connect Card including those that are hidden by default for certain connectors.
POST /v1/connections/4107c213907114059a5544ad8fa66c52/connect-card HTTP/1.1 Accept: application/json;version=2 Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 133 { "connect_card_config": { "redirect_uri": "https://your.site/path", "hide_setup_guide": true, "all_fields": true } }
Responses
200
Response status code
Response status text
The unique identifier of the connection for which this Connect Card token was issued. This is the same value as the connectionId path parameter.
A short-lived JWT that authorizes the end user to configure this connection via the Connect Card interface. Use the uri field directly to redirect users — it already embeds this token. If you need to construct your own URL, pass this value as the auth query parameter to https://fivetran.com/connect-card/setup.
The complete URL to redirect the end user to in order to authorize the connection. It embeds the auth token, redirect URI, and setup guide visibility as query parameters. Redirect the user directly to this address.
The URI on your site we redirect the end user to after successful setup. The URI must start with the https or http prefix.
An optional parameter that lets you hide the embedded setup guide in the Connect Card.
An optional parameter that lets you show all fields on Connect Card including those that are hidden by default for certain connectors.
{ "code": "Success", "message": "Connection Connect Card has been created", "data": { "connector_id": "connection_id", "connect_card": { "token": "eyJ0e...", "uri": "https://fivetran.com/connect-card/setup?redirect_uri=https://your.site/path&auth=eyJ0e...&hide_setup_guide=true" }, "connect_card_config": { "redirect_uri": "https://your.site/path", "hide_setup_guide": true, "all_fields": true } } }